From 087dbd31aed42ca7b265b072702faf622779bfb6 Mon Sep 17 00:00:00 2001
From: Yurii Rashkovskii <yrashk@gmail.com>
Date: Fri, 15 Sep 2023 11:18:48 -0700
Subject: [PATCH] Minor improvement to SET ROLE documentation.

This helps indicating that even though `SET ROLE` made by a superuser
will make that superuser to lose their privileges, there's still one
they retain, and that is the ability to `SET ROLE` again.
---
 doc/src/sgml/ref/set_role.sgml | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/doc/src/sgml/ref/set_role.sgml b/doc/src/sgml/ref/set_role.sgml
index 13bad1bf66..71de393db6 100644
--- a/doc/src/sgml/ref/set_role.sgml
+++ b/doc/src/sgml/ref/set_role.sgml
@@ -88,7 +88,9 @@ RESET ROLE
 
   <para>
    Note that when a superuser chooses to <command>SET ROLE</command> to a
-   non-superuser role, they lose their superuser privileges.
+   non-superuser role, they lose their superuser privileges, except for
+   the privilege to change to another role again using <command>SET ROLE</command>
+   or <command>RESET ROLE</command>.
   </para>
 
   <para>
-- 
2.33.0

